//------------获取轮播图
mui.ajax(domain+'/v1/pub/get_carousels',{
	data:{
		code: 'B010001'
	},
	dataType:'json',
	type:'get',
	timeout:10000,   
	success:function(data){
		$('.staticImg').remove();
		var htmlgroup = '' , htmlindicator = '';
		$.each(data.obj,function (i,val){
			var thisUrl ='"'+ val.url +'"';
			htmlgroup += '<div onclick="openSliderCon (\''+val.url+'\',\''+val.title+'\')" class="mui-slider-item"><a><img src="'+val.pic+'"><p class="mui-slider-title">'+val.title+'</p></a></div>';
			htmlindicator += '<div class="mui-indicator"></div>';
			if(i==data.obj.length-1){
				for (var j = 0; j<2; j++) {
					htmlgroup += '<div onclick="openSliderCon (\''+data.obj[j].url+'\',\' '+data.obj[j].title+'\')" class="mui-slider-item"><a><img src="'+data.obj[j].pic+'"><p class="mui-slider-title">'+data.obj[j].title+'</p></a></div>'
				}
			}
		});
		$('.mui-slider-group').append(htmlgroup);
		$('.mui-slider-indicator').append(htmlindicator);
		$('.mui-slider-indicator .mui-slider-item').eq(0).addClass('mui-active');
		var slider = mui("#slider");
		slider.slider({
			interval: 2000
		});
	},
	error:function(xhr,type,errorThrown){
		console.log(type);
	}
});

//------------获取文章列表----------
function getArList(domain){
	$.ajax(domain+'/v1/pub/get_article_section',{
		data:{
			code: 'A010001'
		},
		dataType:'json',
		type:'get',
		timeout:10000,   
		success:function(res){
			var data = res.obj;
        	var tyJ = typeof data;
        	var html = '';
        	var allBasicinfor = [];
        	var num = 0;
        	if(res.success == true){
        		if (tyJ === 'object') {
        		var dataT = res.obj[0].articles;
        		$.each(dataT,function(i,val){
        			var pottingTime = dateFormat(new Date(val.createTime), 'yyyy-MM-dd');
                	var articleUrl = '\'' + val.url + '\'';
                	var tit = '\'' +val.title+ '\'';
                	allBasicinfor.push({
                		title: val.title,
						site: val.url
                	});
                	var author = val.author;
                	if(author == ''){
                		author = val.creatorName;
                	}
                	html += '<li class="mui-table-view-cell pd-r-14" data-num="'+num+'"><div class=""><div class="holeTitle mr-b-10">'
	                	+val.title+'</div><div class="holeTime us-row color-999 font-12"><div class="us-col us-col-12"><img class="creatorName" src="../images/peo.png"/>'
	                	+author+'</div><div class="us-col us-col-12 mui-text-right">'
	                	+pottingTime+'</div></div></div></li>';
	                	num ++;
        		})
        			
	            	$('.articleList>ul').append(html);
	            	$('.articleList .animations_sec').hide();
	        		$('#article .mui-table-view-cell').bind("tap",function () {
						var tranBasicinfor = allBasicinfor[$(this).attr('data-num')];
						mui.openWindow({
							url: '../article/articleDetailWin.html',
								id: 'articleDetailWin',
								extras:{
							     	tranBasicinfor:tranBasicinfor
								}//额外扩展参数
						})
					});
	        	}
        	}else{
        		$('.articleList .animations_sec').hide();
        	}
		},
		error:function(xhr,type,errorThrown){
			$('.articleList .animations_sec').hide();
			console.log(type);
		}
	});
}
//-------打开文章
function openArWin (gourl,title){
	mui.openWindow({
		url: '../article/articleDetailWin.html',
		id: 'articleDetailWin',
		extras:{
	     	gourl:gourl,
	    	title:title
	    }//额外扩展参数
	})
}

//-------获取站点监测列表
function getLoophole(domain){
	$.ajax(domain+'/v1/event/sitessafety',{
		data:{},
		dataType:'json',
		type:'get',
		timeout:10000,
		success:function(res){
			if(res.success == true){
				var html = '';
				var data = res.obj;
				var allBasicinfor = [];
				if(res.obj.length != 0){
					$('.loophole .notopen').hide();
					$.each(res.obj, function(i,val) {
						var score = val.score;
						var numHole = '低';
						var colorHole = 'lowHole';
						if(val.vulnerabilityHighCount > 0){
							numHole = '高';
							colorHole = 'higHole';
						}else if(val.vulnerabilityMidCount > 0){
							numHole = '中';
							colorHole = 'memHole';
						}
						
						var basicinfor = [];
						basicinfor.push({
							title: val.title,
							score: score,
							site: val.site,
							ip: val.ip,
							icp: val.icp,
							os: val.os,
							server: val.server,
							vulnerabilityLowCount: val.vulnerabilityLowCount,
							vulnerabilityMidCount: val.vulnerabilityMidCount,
							vulnerabilityHighCount: val.vulnerabilityHighCount,
							sqlCount: val.sqlCount,
							xssCount: val.xssCount,
							infoleakCount: val.infoleakCount,
							cgiCount: val.cgiCount,
							csrfCount: val.csrfCount,
							formcrackCount: val.formcrackCount,
							otherCount: val.otherCount,
							formcrackCount: val.formcrackCount,
							vulnerabilities: val.vulnerabilities
							
						})
						allBasicinfor[i] = basicinfor;
						html += '<li class="mui-table-view-cell"><div class="">'+
						'<div><div class="us-col us-col-19">'+val.title+'</div>'+
						'<div class="us-col us-col-5 mui-text-right download">查看周报</div></div>'+
						'<div class="holeUrl mr-b-5 breakWord">'+val.site+'</div>'+
						'<div class="holeData us-row mr-b-5"><div class="us-col us-col-5 title1-color1">漏洞数</div>'+
						'<div class="us-col us-col-18"><div class=" us-row"><div class="us-col lowHole numHole"><span>低</span><span>'+val.vulnerabilityLowCount+'</span></div>'+
						'<div class="us-col memHole numHole"><span>中</span><span>'+val.vulnerabilityMidCount+'</span></div><div class="us-col higHole numHole"><span>高</span><span>'+val.vulnerabilityHighCount+'</span></div></div></div></div>'+
						'<div class="holeData us-row mr-b-5"><div class="us-col us-col-5 title1-color1">风险系数</div><div class="us-col us-col-18"><div class=" us-row"><div class="us-col '+colorHole+' numHole"><span>'+numHole+'</span><span>'
						+val.score+'</span></div></div></div></div>'+
						'</div></li>';
					});
					$('#webMonitor').append(html);
					$('#webMonitor').bind("tap",function () {
						var tranBasicinfor = allBasicinfor[$(this).index()];
						mui.openWindow({
							url: '../loophole/loopholeDetailWin.html',
							id: 'loopholeDetailWin',
							extras:{
						    	tranBasicinfor:tranBasicinfor
						    }//额外扩展参数
						})
					});
					$('.download').bind("tap", function(){
						var tranBasicinfor = allBasicinfor[$(this).parents('li').index()];
	//					console.log(tranBasicinfor[0].title + 'title');
						mui.openWindow({
							url: '../loophole/monthlyReport/monReportWin.html',
							id: 'monReportWin',
							extras:{
						    	tranBasicinfor:tranBasicinfor[0].site,
						    	title:tranBasicinfor[0].title
						    }//额外扩展参数
						})
						return false; 
						
					})
				}else{
					$('.loophole .notopen').show();
				}
				
				$('.loophole .animations_sec').hide();
			}else{
				console.log(res.success);
				$('.loophole .animations_sec').hide();
			}
		},
		error:function(xhr,type,errorThrown){
			$('.loophole .animations_sec').hide();
			console.log(type);
		}
	});
}
//获取主网站
function getList_domains(domain) {
	$.ajax(domain + '/v1/waf/list_domains', {
	    dataType: 'json',
	    type: 'get',
	    timeout: 10000,
	    success: function (res) {
	        if (res.success == true) {
	            var data = res.obj;
	            var html = '';
	            if(data.length !=0){
	            	$('.hostSiteList .notOpen').hide();
	               $.each(data, function (i, val) {
	                    html += '<li class="mui-table-view-cell mui-collapse hostList hostList' + i + '" domainId="' + val.id + '"><a class="mui-navigate-right"><div class="us-row"><div class="us-col us-col-214"><div class="mr-b-10 breakWord color-333 title">'
	                        + val.domain + '</div><span class="reportoption openSubdomain mr-r-10" data-id="' + val.id + '" data-name="' + val.domain + '"><span class="lookReport"></span><span>查看子域名</span></span>'
	                        +'<span class="reportoption openReport mr-r-10" data-id="' + val.id + '"><span class="lookReport"></span><span>查看报表</span></span>'
	                        +'<span class="reportoption addSubSite" data-id="' + val.id + '"><span class="lookReport"></span><span">添加子域名</span></span></div>'
//	                        +'<div class="us-col us-col-4 grade us-col-offset-1">安全</div>'
	                        +'</div></a><div class="mui-collapse-content wafReport"></div></li>'
	                });
	                $('#hostSiteList').html(html); 	
	            }else{
	            	$('.hostSiteList .notopen').show();
	            }
	            $('.hostSiteList .loophole').hide();
	        } else {
	            mui.toast("数据获取失败!")
	            $('.hostSiteList .loophole').hide();
	        }
	
	
			//打开子域名
			$('.openSubdomain').bind('tap', function(){
				var id = $(this).attr('data-id');
				var name = $(this).attr('data-name')
				mui.openWindow({
	                url: '../waf/subdomain_Win.html',
	                id: 'subdomain_Win',
	                extras: {
	                    'domainId': id,
	                    'name': name
	                }
	            })
	            return false;
			})
	        //打开报表窗口
	        $('.openReport').bind('tap', function () {
	        	var id = $(this).attr('data-id');
	            mui.openWindow({
	                url: '../waf/wafReport_Win.html',
	                id: 'wafReport_Win',
	                extras: {
	                    'domainId': id
	                }
	            })
	            return false;
	        });
	        //添加子域名
	        $('.addSubSite').bind('tap', function () {
	            var domainId = $(this).attr('data-id');
	            var index = $(this).parents('li').index();
	            mui.openWindow({
	                url: '../waf/addWebsite_Win.html',
	                id: 'addWebsite_Win',
	                extras: {
	                    'domainId': domainId,
	                    'index': index
	                }
	            })
	            return false;
	        })
	        //展示头部报表
        	$('.hostList').bind('tap', function () {
	            if ($(this).hasClass('achieve')) {
	            } else {
                	var domainId = $(this).attr('domainId');
                    var index = $(this).index();
                    getReport(domainId, index,domain);
                }

            })
        },
        error: function (xhr, type, errorThrown) {
            console.log(type);
        }
    })
}
function getReport(id, index,domain){
	$.ajax({
	    url:domain+'/v1/waf/getSiteSum',
	    type:'get', //GET
	    async:true,    //或false,是否异步
	    data:{
	    	domainId:id
	    },
	    timeout:5000,    //超时时间
	    dataType:'json',    //返回的数据格式：json/xml/html/script/jsonp/text
	    success:function(res){
	    	console.log(JSON.stringify(res))
	    	if(res.success){
	    		var data = res.obj;
	    		var html = '';
				html += '<div class="con"><div id="siteData" style="width:100%;"><div class="summary"><span>警告</span></div>'
				+'<div class="us-row">'
				+'<div class="us-col us-col-7 us-col-offset-1"><div>总请求数</div><div class="num">'+data.req+'</div></div>'
				+'<div class="us-col us-col-7 us-col-offset-1"><div>攻击总数</div><div class="num">'+data.attack_ips+'</div></div>'
				+'<div class="us-col us-col-7 us-col-offset-1"><div>黑客IP数</div><div class="num">'+data.attack_total+'</div></div>'
				+'</div></div></div>';
				$('.hostList' + index).find('.wafReport').html(html);
	    	}else{
	    		mui.toast(res.msg)
	    	}
	    }
	})
}
