var versionNow = '',
	versionLowest = '',
	versionNewest = '';

var isLowest = true,
	isUpdate = false;
//获取版本号
function getVersionNum(platform,versionNow){
	mui.ajax(domain + '/v1/pub/get_latest_clientappinfo', {
		data: {
			platform: platform,
			clientType: 'goveye'
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；	              
		success: function(res) {
			var data = res.obj;
			console.log(JSON.stringify(data))
			versionLowest = data.lowestSupportVersion;//支持的最低版本
			versionNewest = data.version;//服务器最新版本
			var downloadUrl =data.url;
			var forceUpdate = versionfunegt(versionNow,versionLowest);
			var selectUpdate =  versionfunegt(versionNow,versionNewest);
			if(forceUpdate == false){
				mui.toast('版本过低，自动下载安装最新版本');
				downWgt(downloadUrl);
			}else{
				if(selectUpdate == false){
					var localVersion = JSON.parse(localStorage.getItem('$version'));
					var ifStorage = false;
					if(localVersion != null){
						var loaclUpdate = versionfunegt(localVersion,versionNewest);
						if(loaclUpdate == false){
							ifStorage = true
						}
					}else{
						ifStorage = true
					}
					if(ifStorage === true){
						var btnArray = ['否', '是'];
						mui.confirm('有新版本是否更新？', '', btnArray, function(e) {
							if (e.index == 1) {
								downWgt(downloadUrl);
							} else {
								localStorage.setItem('$version', JSON.stringify(versionNewest));
								mui.toast('即将跳过本次版本更新 '); 
							}
						})	
					}
				}
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			console.log(type);
		}
	});	
}
//判、判断版本
var versionfunegt = function (ver1,ver2) {
    var version1pre = parseFloat(ver1);
    var version2pre = parseFloat(ver2);
    var version1next =  ver1.replace(version1pre + ".","");
    var version2next =  ver2.replace(version2pre + ".","");
    if(version1pre > version2pre){
        return true;
    }else if(version1pre < version2pre){
        return false;
    }else{
        if(version1next >= version2next){
            return true;
        }else{
            return false;
        }
    }
}

//下载资源包
function downWgt(downloadUrl){
	console.log(downloadUrl);
	plus.nativeUI.showWaiting("下载升级文件...");
	if(mui.os.android){
		var options = {
			method: "GET",
			filename: "_doc/2017/",
			retry: 0
		};
		plus.downloader.createDownload(downloadUrl, options,function(d,status){
			console.log(status);
			if ( status == 200 ) { 
	            console.log("下载wgt成功："+d.filename);
	            installWgt(d.filename); // 安装wgt包
	        } else {
	            console.log("下载wgt失败！");
	            plus.nativeUI.alert("下载资源包失败，请稍后重试！");
	        }
	        plus.nativeUI.closeWaiting();
		}).start();	
	}else if(mui.os.ios){
		var url='itms-apps://itunes.apple.com/cn/app/hello-h5+/id682211190?l=zh&mt=8';
		plus.runtime.openURL(url);
	}
	
}
//安装资源包
function installWgt(path){
    plus.nativeUI.showWaiting("安装wgt文件...");
    plus.runtime.install(path,{},function(){
        plus.nativeUI.closeWaiting();
        console.log("安装wgt文件成功！");
        plus.nativeUI.alert("更新完成！",function(){
            plus.runtime.restart();
        });
    },function(e){
        plus.nativeUI.closeWaiting();
        console.log("安装wgt文件失败["+e.code+"]："+e.message);
        plus.nativeUI.alert("安装wgt文件失败["+e.code+"]："+e.message);
    });
}